<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ManufacturingRoutingSearchBasic StructType
 * @subpackage Structs
 */
class ManufacturingRoutingSearchBasic extends SearchRecordBasic
{
    /**
     * The autoCalculateLag
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $autoCalculateLag;
    /**
     * The billOfMaterials
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $billOfMaterials;
    /**
     * The externalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $externalId;
    /**
     * The externalIdString
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $externalIdString;
    /**
     * The internalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $internalId;
    /**
     * The internalIdNumber
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchLongField
     */
    public $internalIdNumber;
    /**
     * The isDefault
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $isDefault;
    /**
     * The isInactive
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $isInactive;
    /**
     * The item
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $item;
    /**
     * The lagAmount
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $lagAmount;
    /**
     * The lagType
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchEnumMultiSelectField
     */
    public $lagType;
    /**
     * The lagUnits
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $lagUnits;
    /**
     * The location
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $location;
    /**
     * The manufacturingCostTemplate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $manufacturingCostTemplate;
    /**
     * The manufacturingWorkCenter
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $manufacturingWorkCenter;
    /**
     * The memo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $memo;
    /**
     * The name
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $name;
    /**
     * The operationName
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $operationName;
    /**
     * The operationYield
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $operationYield;
    /**
     * The runRate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $runRate;
    /**
     * The sequence
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchLongField
     */
    public $sequence;
    /**
     * The setupTime
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $setupTime;
    /**
     * The subsidiary
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $subsidiary;
    /**
     * The customFieldList
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchCustomFieldList
     */
    public $customFieldList;
    /**
     * Constructor method for ManufacturingRoutingSearchBasic
     * @uses ManufacturingRoutingSearchBasic::setAutoCalculateLag()
     * @uses ManufacturingRoutingSearchBasic::setBillOfMaterials()
     * @uses ManufacturingRoutingSearchBasic::setExternalId()
     * @uses ManufacturingRoutingSearchBasic::setExternalIdString()
     * @uses ManufacturingRoutingSearchBasic::setInternalId()
     * @uses ManufacturingRoutingSearchBasic::setInternalIdNumber()
     * @uses ManufacturingRoutingSearchBasic::setIsDefault()
     * @uses ManufacturingRoutingSearchBasic::setIsInactive()
     * @uses ManufacturingRoutingSearchBasic::setItem()
     * @uses ManufacturingRoutingSearchBasic::setLagAmount()
     * @uses ManufacturingRoutingSearchBasic::setLagType()
     * @uses ManufacturingRoutingSearchBasic::setLagUnits()
     * @uses ManufacturingRoutingSearchBasic::setLocation()
     * @uses ManufacturingRoutingSearchBasic::setManufacturingCostTemplate()
     * @uses ManufacturingRoutingSearchBasic::setManufacturingWorkCenter()
     * @uses ManufacturingRoutingSearchBasic::setMemo()
     * @uses ManufacturingRoutingSearchBasic::setName()
     * @uses ManufacturingRoutingSearchBasic::setOperationName()
     * @uses ManufacturingRoutingSearchBasic::setOperationYield()
     * @uses ManufacturingRoutingSearchBasic::setRunRate()
     * @uses ManufacturingRoutingSearchBasic::setSequence()
     * @uses ManufacturingRoutingSearchBasic::setSetupTime()
     * @uses ManufacturingRoutingSearchBasic::setSubsidiary()
     * @uses ManufacturingRoutingSearchBasic::setCustomFieldList()
     * @param \StructType\SearchBooleanField $autoCalculateLag
     * @param \StructType\SearchMultiSelectField $billOfMaterials
     * @param \StructType\SearchMultiSelectField $externalId
     * @param \StructType\SearchStringField $externalIdString
     * @param \StructType\SearchMultiSelectField $internalId
     * @param \StructType\SearchLongField $internalIdNumber
     * @param \StructType\SearchBooleanField $isDefault
     * @param \StructType\SearchBooleanField $isInactive
     * @param \StructType\SearchMultiSelectField $item
     * @param \StructType\SearchDoubleField $lagAmount
     * @param \StructType\SearchEnumMultiSelectField $lagType
     * @param \StructType\SearchStringField $lagUnits
     * @param \StructType\SearchMultiSelectField $location
     * @param \StructType\SearchMultiSelectField $manufacturingCostTemplate
     * @param \StructType\SearchMultiSelectField $manufacturingWorkCenter
     * @param \StructType\SearchStringField $memo
     * @param \StructType\SearchStringField $name
     * @param \StructType\SearchStringField $operationName
     * @param \StructType\SearchDoubleField $operationYield
     * @param \StructType\SearchDoubleField $runRate
     * @param \StructType\SearchLongField $sequence
     * @param \StructType\SearchDoubleField $setupTime
     * @param \StructType\SearchMultiSelectField $subsidiary
     * @param \StructType\SearchCustomFieldList $customFieldList
     */
    public function __construct(\StructType\SearchBooleanField $autoCalculateLag = null, \StructType\SearchMultiSelectField $billOfMaterials = null, \StructType\SearchMultiSelectField $externalId = null, \StructType\SearchStringField $externalIdString = null, \StructType\SearchMultiSelectField $internalId = null, \StructType\SearchLongField $internalIdNumber = null, \StructType\SearchBooleanField $isDefault = null, \StructType\SearchBooleanField $isInactive = null, \StructType\SearchMultiSelectField $item = null, \StructType\SearchDoubleField $lagAmount = null, \StructType\SearchEnumMultiSelectField $lagType = null, \StructType\SearchStringField $lagUnits = null, \StructType\SearchMultiSelectField $location = null, \StructType\SearchMultiSelectField $manufacturingCostTemplate = null, \StructType\SearchMultiSelectField $manufacturingWorkCenter = null, \StructType\SearchStringField $memo = null, \StructType\SearchStringField $name = null, \StructType\SearchStringField $operationName = null, \StructType\SearchDoubleField $operationYield = null, \StructType\SearchDoubleField $runRate = null, \StructType\SearchLongField $sequence = null, \StructType\SearchDoubleField $setupTime = null, \StructType\SearchMultiSelectField $subsidiary = null, \StructType\SearchCustomFieldList $customFieldList = null)
    {
        $this
            ->setAutoCalculateLag($autoCalculateLag)
            ->setBillOfMaterials($billOfMaterials)
            ->setExternalId($externalId)
            ->setExternalIdString($externalIdString)
            ->setInternalId($internalId)
            ->setInternalIdNumber($internalIdNumber)
            ->setIsDefault($isDefault)
            ->setIsInactive($isInactive)
            ->setItem($item)
            ->setLagAmount($lagAmount)
            ->setLagType($lagType)
            ->setLagUnits($lagUnits)
            ->setLocation($location)
            ->setManufacturingCostTemplate($manufacturingCostTemplate)
            ->setManufacturingWorkCenter($manufacturingWorkCenter)
            ->setMemo($memo)
            ->setName($name)
            ->setOperationName($operationName)
            ->setOperationYield($operationYield)
            ->setRunRate($runRate)
            ->setSequence($sequence)
            ->setSetupTime($setupTime)
            ->setSubsidiary($subsidiary)
            ->setCustomFieldList($customFieldList);
    }
    /**
     * Get autoCalculateLag value
     * @return \StructType\SearchBooleanField|null
     */
    public function getAutoCalculateLag()
    {
        return $this->autoCalculateLag;
    }
    /**
     * Set autoCalculateLag value
     * @param \StructType\SearchBooleanField $autoCalculateLag
     * @return \StructType\ManufacturingRoutingSearchBasic
     */
    public function setAutoCalculateLag(\StructType\SearchBooleanField $autoCalculateLag = null)
    {
        $this->autoCalculateLag = $autoCalculateLag;
        return $this;
    }
    /**
     * Get billOfMaterials value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getBillOfMaterials()
    {
        return $this->billOfMaterials;
    }
    /**
     * Set billOfMaterials value
     * @param \StructType\SearchMultiSelectField $billOfMaterials
     * @return \StructType\ManufacturingRoutingSearchBasic
     */
    public function setBillOfMaterials(\StructType\SearchMultiSelectField $billOfMaterials = null)
    {
        $this->billOfMaterials = $billOfMaterials;
        return $this;
    }
    /**
     * Get externalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getExternalId()
    {
        return $this->externalId;
    }
    /**
     * Set externalId value
     * @param \StructType\SearchMultiSelectField $externalId
     * @return \StructType\ManufacturingRoutingSearchBasic
     */
    public function setExternalId(\StructType\SearchMultiSelectField $externalId = null)
    {
        $this->externalId = $externalId;
        return $this;
    }
    /**
     * Get externalIdString value
     * @return \StructType\SearchStringField|null
     */
    public function getExternalIdString()
    {
        return $this->externalIdString;
    }
    /**
     * Set externalIdString value
     * @param \StructType\SearchStringField $externalIdString
     * @return \StructType\ManufacturingRoutingSearchBasic
     */
    public function setExternalIdString(\StructType\SearchStringField $externalIdString = null)
    {
        $this->externalIdString = $externalIdString;
        return $this;
    }
    /**
     * Get internalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getInternalId()
    {
        return $this->internalId;
    }
    /**
     * Set internalId value
     * @param \StructType\SearchMultiSelectField $internalId
     * @return \StructType\ManufacturingRoutingSearchBasic
     */
    public function setInternalId(\StructType\SearchMultiSelectField $internalId = null)
    {
        $this->internalId = $internalId;
        return $this;
    }
    /**
     * Get internalIdNumber value
     * @return \StructType\SearchLongField|null
     */
    public function getInternalIdNumber()
    {
        return $this->internalIdNumber;
    }
    /**
     * Set internalIdNumber value
     * @param \StructType\SearchLongField $internalIdNumber
     * @return \StructType\ManufacturingRoutingSearchBasic
     */
    public function setInternalIdNumber(\StructType\SearchLongField $internalIdNumber = null)
    {
        $this->internalIdNumber = $internalIdNumber;
        return $this;
    }
    /**
     * Get isDefault value
     * @return \StructType\SearchBooleanField|null
     */
    public function getIsDefault()
    {
        return $this->isDefault;
    }
    /**
     * Set isDefault value
     * @param \StructType\SearchBooleanField $isDefault
     * @return \StructType\ManufacturingRoutingSearchBasic
     */
    public function setIsDefault(\StructType\SearchBooleanField $isDefault = null)
    {
        $this->isDefault = $isDefault;
        return $this;
    }
    /**
     * Get isInactive value
     * @return \StructType\SearchBooleanField|null
     */
    public function getIsInactive()
    {
        return $this->isInactive;
    }
    /**
     * Set isInactive value
     * @param \StructType\SearchBooleanField $isInactive
     * @return \StructType\ManufacturingRoutingSearchBasic
     */
    public function setIsInactive(\StructType\SearchBooleanField $isInactive = null)
    {
        $this->isInactive = $isInactive;
        return $this;
    }
    /**
     * Get item value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getItem()
    {
        return $this->item;
    }
    /**
     * Set item value
     * @param \StructType\SearchMultiSelectField $item
     * @return \StructType\ManufacturingRoutingSearchBasic
     */
    public function setItem(\StructType\SearchMultiSelectField $item = null)
    {
        $this->item = $item;
        return $this;
    }
    /**
     * Get lagAmount value
     * @return \StructType\SearchDoubleField|null
     */
    public function getLagAmount()
    {
        return $this->lagAmount;
    }
    /**
     * Set lagAmount value
     * @param \StructType\SearchDoubleField $lagAmount
     * @return \StructType\ManufacturingRoutingSearchBasic
     */
    public function setLagAmount(\StructType\SearchDoubleField $lagAmount = null)
    {
        $this->lagAmount = $lagAmount;
        return $this;
    }
    /**
     * Get lagType value
     * @return \StructType\SearchEnumMultiSelectField|null
     */
    public function getLagType()
    {
        return $this->lagType;
    }
    /**
     * Set lagType value
     * @param \StructType\SearchEnumMultiSelectField $lagType
     * @return \StructType\ManufacturingRoutingSearchBasic
     */
    public function setLagType(\StructType\SearchEnumMultiSelectField $lagType = null)
    {
        $this->lagType = $lagType;
        return $this;
    }
    /**
     * Get lagUnits value
     * @return \StructType\SearchStringField|null
     */
    public function getLagUnits()
    {
        return $this->lagUnits;
    }
    /**
     * Set lagUnits value
     * @param \StructType\SearchStringField $lagUnits
     * @return \StructType\ManufacturingRoutingSearchBasic
     */
    public function setLagUnits(\StructType\SearchStringField $lagUnits = null)
    {
        $this->lagUnits = $lagUnits;
        return $this;
    }
    /**
     * Get location value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getLocation()
    {
        return $this->location;
    }
    /**
     * Set location value
     * @param \StructType\SearchMultiSelectField $location
     * @return \StructType\ManufacturingRoutingSearchBasic
     */
    public function setLocation(\StructType\SearchMultiSelectField $location = null)
    {
        $this->location = $location;
        return $this;
    }
    /**
     * Get manufacturingCostTemplate value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getManufacturingCostTemplate()
    {
        return $this->manufacturingCostTemplate;
    }
    /**
     * Set manufacturingCostTemplate value
     * @param \StructType\SearchMultiSelectField $manufacturingCostTemplate
     * @return \StructType\ManufacturingRoutingSearchBasic
     */
    public function setManufacturingCostTemplate(\StructType\SearchMultiSelectField $manufacturingCostTemplate = null)
    {
        $this->manufacturingCostTemplate = $manufacturingCostTemplate;
        return $this;
    }
    /**
     * Get manufacturingWorkCenter value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getManufacturingWorkCenter()
    {
        return $this->manufacturingWorkCenter;
    }
    /**
     * Set manufacturingWorkCenter value
     * @param \StructType\SearchMultiSelectField $manufacturingWorkCenter
     * @return \StructType\ManufacturingRoutingSearchBasic
     */
    public function setManufacturingWorkCenter(\StructType\SearchMultiSelectField $manufacturingWorkCenter = null)
    {
        $this->manufacturingWorkCenter = $manufacturingWorkCenter;
        return $this;
    }
    /**
     * Get memo value
     * @return \StructType\SearchStringField|null
     */
    public function getMemo()
    {
        return $this->memo;
    }
    /**
     * Set memo value
     * @param \StructType\SearchStringField $memo
     * @return \StructType\ManufacturingRoutingSearchBasic
     */
    public function setMemo(\StructType\SearchStringField $memo = null)
    {
        $this->memo = $memo;
        return $this;
    }
    /**
     * Get name value
     * @return \StructType\SearchStringField|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param \StructType\SearchStringField $name
     * @return \StructType\ManufacturingRoutingSearchBasic
     */
    public function setName(\StructType\SearchStringField $name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get operationName value
     * @return \StructType\SearchStringField|null
     */
    public function getOperationName()
    {
        return $this->operationName;
    }
    /**
     * Set operationName value
     * @param \StructType\SearchStringField $operationName
     * @return \StructType\ManufacturingRoutingSearchBasic
     */
    public function setOperationName(\StructType\SearchStringField $operationName = null)
    {
        $this->operationName = $operationName;
        return $this;
    }
    /**
     * Get operationYield value
     * @return \StructType\SearchDoubleField|null
     */
    public function getOperationYield()
    {
        return $this->operationYield;
    }
    /**
     * Set operationYield value
     * @param \StructType\SearchDoubleField $operationYield
     * @return \StructType\ManufacturingRoutingSearchBasic
     */
    public function setOperationYield(\StructType\SearchDoubleField $operationYield = null)
    {
        $this->operationYield = $operationYield;
        return $this;
    }
    /**
     * Get runRate value
     * @return \StructType\SearchDoubleField|null
     */
    public function getRunRate()
    {
        return $this->runRate;
    }
    /**
     * Set runRate value
     * @param \StructType\SearchDoubleField $runRate
     * @return \StructType\ManufacturingRoutingSearchBasic
     */
    public function setRunRate(\StructType\SearchDoubleField $runRate = null)
    {
        $this->runRate = $runRate;
        return $this;
    }
    /**
     * Get sequence value
     * @return \StructType\SearchLongField|null
     */
    public function getSequence()
    {
        return $this->sequence;
    }
    /**
     * Set sequence value
     * @param \StructType\SearchLongField $sequence
     * @return \StructType\ManufacturingRoutingSearchBasic
     */
    public function setSequence(\StructType\SearchLongField $sequence = null)
    {
        $this->sequence = $sequence;
        return $this;
    }
    /**
     * Get setupTime value
     * @return \StructType\SearchDoubleField|null
     */
    public function getSetupTime()
    {
        return $this->setupTime;
    }
    /**
     * Set setupTime value
     * @param \StructType\SearchDoubleField $setupTime
     * @return \StructType\ManufacturingRoutingSearchBasic
     */
    public function setSetupTime(\StructType\SearchDoubleField $setupTime = null)
    {
        $this->setupTime = $setupTime;
        return $this;
    }
    /**
     * Get subsidiary value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getSubsidiary()
    {
        return $this->subsidiary;
    }
    /**
     * Set subsidiary value
     * @param \StructType\SearchMultiSelectField $subsidiary
     * @return \StructType\ManufacturingRoutingSearchBasic
     */
    public function setSubsidiary(\StructType\SearchMultiSelectField $subsidiary = null)
    {
        $this->subsidiary = $subsidiary;
        return $this;
    }
    /**
     * Get customFieldList value
     * @return \StructType\SearchCustomFieldList|null
     */
    public function getCustomFieldList()
    {
        return $this->customFieldList;
    }
    /**
     * Set customFieldList value
     * @param \StructType\SearchCustomFieldList $customFieldList
     * @return \StructType\ManufacturingRoutingSearchBasic
     */
    public function setCustomFieldList(\StructType\SearchCustomFieldList $customFieldList = null)
    {
        $this->customFieldList = $customFieldList;
        return $this;
    }
}
